# Class RefreshOfferMessage

#### Hierarchy

- unknown
  - RefreshOfferMessage

- Defined in src/protobuf/pb_pb.d.ts:795
- Defined in src/protobuf/pb_pb.d.ts:822

#####
Index

### Constructors

constructor

### Methods

getHashOfDataAndSeqNr
getHashOfDataAndSeqNr_asB64
getHashOfDataAndSeqNr_asU8
getHashOfPayload
getHashOfPayload_asB64
getHashOfPayload_asU8
getSequenceNumber
getSignature
getSignature_asB64
getSignature_asU8
serializeBinary
setHashOfDataAndSeqNr
setHashOfPayload
setSequenceNumber
setSignature
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RefreshOfferMessage(): RefreshOfferMessage

- #### Returns RefreshOfferMessage

  Inherited from jspb.Message.constructor

## Methods

### getHashOfDataAndSeqNr

- getHashOfDataAndSeqNr(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:796

### getHashOfDataAndSeqNr_asB64

- getHashOfDataAndSeqNr_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:798

### getHashOfDataAndSeqNr_asU8

- getHashOfDataAndSeqNr_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:797

### getHashOfPayload

- getHashOfPayload(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:806

### getHashOfPayload_asB64

- getHashOfPayload_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:808

### getHashOfPayload_asU8

- getHashOfPayload_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:807

### getSequenceNumber

- getSequenceNumber(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:811

### getSignature

- getSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:801

### getSignature_asB64

- getSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:803

### getSignature_asU8

- getSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:802

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:814

### setHashOfDataAndSeqNr

- setHashOfDataAndSeqNr(value: string | Uint8Array): RefreshOfferMessage

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RefreshOfferMessage

  - Defined in src/protobuf/pb_pb.d.ts:799

### setHashOfPayload

- setHashOfPayload(value: string | Uint8Array): RefreshOfferMessage

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RefreshOfferMessage

  - Defined in src/protobuf/pb_pb.d.ts:809

### setSequenceNumber

- setSequenceNumber(value: number): RefreshOfferMessage

- #### Parameters

  - ##### value: number

  #### Returns RefreshOfferMessage

  - Defined in src/protobuf/pb_pb.d.ts:812

### setSignature

- setSignature(value: string | Uint8Array): RefreshOfferMessage

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RefreshOfferMessage

  - Defined in src/protobuf/pb_pb.d.ts:804

### toObject

- toObject(includeInstance?: boolean): RefreshOfferMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RefreshOfferMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:815

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RefreshOfferMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RefreshOfferMessage

  - Defined in src/protobuf/pb_pb.d.ts:818

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RefreshOfferMessage, reader: BinaryReader): RefreshOfferMessage

- #### Parameters

  - ##### message: RefreshOfferMessage

  - ##### reader: BinaryReader

  #### Returns RefreshOfferMessage

  - Defined in src/protobuf/pb_pb.d.ts:819

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RefreshOfferMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RefreshOfferMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:817

### `Static` toObject

- toObject(includeInstance: boolean, msg: RefreshOfferMessage): RefreshOfferMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RefreshOfferMessage

  #### Returns RefreshOfferMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:816

Generated using TypeDoc